/***************************************************************************
 * trackcursorview.cpp: implementation of TrackCursorView class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#include "trackcursorview.h"

TrackCursorView::TrackCursorView(uint dpi)
: DrawingItem(dpi),
  rectangle(0)
{
	rectangle = new QCanvasRectangleCm();
	rectangle->setSizeInCm(Cm(0.5, dpi), Cm(0.5, dpi));
}

TrackCursorView::~TrackCursorView()
{
	delete rectangle;
}

void TrackCursorView::refresh()
{
	rectangle->setPosFromCoord(positionX(), positionY());
}

void TrackCursorView::hide()
{
	rectangle->hide();
}

void TrackCursorView::show()
{
	addItemToScene(rectangle);
}

QRectCm TrackCursorView::boundingRect() const
{
}

Cm TrackCursorView::height() const
{
}

Cm TrackCursorView::width() const
{
}
